Page MenuHomeFreeBSD

Introduce the PROC_SIGCODE() macro
ClosedPublic

Authored by kd on Jun 3 2022, 9:42 AM.
Tags
None
Referenced Files
Unknown Object (File)
Fri, Jul 19, 11:19 AM
Unknown Object (File)
Wed, Jul 17, 3:31 PM
Unknown Object (File)
Mon, Jul 15, 10:52 AM
Unknown Object (File)
Mon, Jul 1, 3:28 PM
Unknown Object (File)
Sat, Jun 29, 12:33 AM
Unknown Object (File)
Sat, Jun 29, 12:32 AM
Unknown Object (File)
Jun 22 2024, 8:19 PM
Unknown Object (File)
May 31 2024, 7:37 AM

Details

Summary

Use a getter macro instead of fetching the sigcode address directly from a sysent of a given process.
It assumes that the sigcode is stored in the shared page, which is true in all cases, except for a.out binaries.
This will be later useful when the shared page address randomization is introduced.
No functional change intended.

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

This revision is now accepted and ready to land.Jun 7 2022, 2:38 AM

@mindal_semihalf.com do you have these changes in a git repo somewhere? I can merge them as they're reviewed/approved.

@mindal_semihalf.com do you have these changes in a git repo somewhere? I can merge them as they're reviewed/approved.

I'd prefer to do a bit more testing first.
I'll push everything to a public github repo in a day, or two.

This revision was automatically updated to reflect the committed changes.